{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    flake-parts.url = "github:hercules-ci/flake-parts";
    quasigod.url = "git+https://codeberg.org/quasigod/nur.git";
  };

  outputs =
    inputs@{ flake-parts, ... }:
    flake-parts.lib.mkFlake { inherit inputs; } {

      systems = [ "x86_64-linux" ];

      perSystem =
        {
          pkgs,
          config,
          inputs',
          ...
        }:
        {
          packages = {
            rustypaste = pkgs.callPackage ./pkgs/rustypaste { };
            pineflash = pkgs.callPackage ./pkgs/pineflash { };
            grayjay-desktop = inputs'.quasigod.packages.grayjay-desktop;
          };
        };
    };
}
